summaryrefslogtreecommitdiffstats
path: root/check_sec.sh
diff options
context:
space:
mode:
authorThomas Roessler <roessler@does-not-exist.org>2002-05-01 23:20:56 +0000
committerThomas Roessler <roessler@does-not-exist.org>2002-05-01 23:20:56 +0000
commit9752ffa9971ac92bb414011c99e05e3b038354d5 (patch)
tree66e6b830309248a8c444966d1f64b17572e47bd3 /check_sec.sh
parent4c569f9790fdbbde8738f3a45fc79aeea3871e71 (diff)
Give all the warnings at once.
Diffstat (limited to 'check_sec.sh')
-rwxr-xr-xcheck_sec.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/check_sec.sh b/check_sec.sh
index 8c405f70..5ae2019f 100755
--- a/check_sec.sh
+++ b/check_sec.sh
@@ -6,6 +6,8 @@
TMPFILE="`mktemp check_sec.tmp.XXXXXX`" || exit 1
+RV=0;
+
do_check_files ()
{
pattern="$1" ; shift
@@ -19,7 +21,7 @@ do_check_files ()
echo "$msg" ;
cat $TMPFILE;
rm -f $TMPFILE;
- exit 1;
+ RV=1;
}
}
@@ -38,4 +40,4 @@ do_check_files '\<(malloc|realloc|free|strdup)[ ]*\(' __MEM_CHECKED__ "Alert: U
*.c imap/*.c
rm -f $TMPFILE
-exit 0
+exit $RV